#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {class MainWindow;}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

public:
    Ui::MainWindow *ui;

    static QString daemonn,
    process_id_file,
    setup_mode,
    videodevice,
    v4l2_palette,
    tunerdevice,
    input,
    norm,
    frequency,
    rotate,
    widthn,
    heightn,
    framerate,
    minimum_frame_time,
    netcam_url,
    netcam_userpass,
    netcam_http,
    netcam_proxy,
    netcam_tolerant_check,
    auto_brightness,
    brightness,
    contrast,
    saturation,
    hue,
    roundrobin_frames,
    roundrobin_skip,
    switchfilter,
    threshold,
    threshold_tune,
    noise_level,
    noise_tune,
    despeckle,
    area_detect,
    mask_file,
    smart_mask_speed,
    lightswitch,
    minimum_motion_frames,
    pre_capture,
    post_capture,
    gap,
    max_mpeg_time,
    output_all,
    output_normal,
    output_motion,
    quality,
    ppm,
    ffmpeg_cap_new,
    ffmpeg_cap_motion,
    ffmpeg_timelapse,
    ffmpeg_timelapse_mode,
    ffmpeg_bps,
    ffmpeg_variable_bitrate,
    ffmpeg_video_codec,
    ffmpeg_deinterlace,
    snapshot_interval,
    locate,
    text_right,
    text_left,
    text_changes,
    text_event,
    text_double,
    target_dir,
    snapshot_filename,
    jpeg_filename,
    movie_filename,
    timelapse_filename,
    webcam_port,
    webcam_quality,
    webcam_motion,
    webcam_maxrate,
    webcam_localhost,
    webcam_limit,
    control_port,
    control_localhost,
    control_html_output,
    control_authentication,
    track_type,
    track_auto,
    track_port,
    track_motorx,
    track_motory,
    track_maxx,
    track_maxy,
    track_iomojo_id,
    track_step_angle_x,
    track_step_angle_y,
    track_move_wait,
    track_speed,
    track_stepsize,
    quiet,
    on_event_start,
    on_event_end,
    on_picture_save,
    on_motion_detected,
    on_area_detected,
    on_movie_start,
    on_movie_end,
    on_camera_lost,
    sql_log_image,
    sql_log_snapshot,
    sql_log_mpeg,
    sql_log_timelapse,
    sql_query,
    mysql_db,
    mysql_host,
    mysql_user,
    mysql_password,
    pgsql_db,
    pgsql_host,
    pgsql_user,
    pgsql_password,
    pgsql_port,
    video_pipe,
    motion_video_pipe;

    static bool b_tunerdevice,
    b_netcam_url,
    b_netcam_userpass,
    b_netcam_http,
    b_netcam_proxy,
    b_area_detect,
    b_mask_file,
    b_text_left,
    b_control_authentication,
    b_track_port,
    b_on_event_start,
    b_on_event_end,
    b_on_picture_save,
    b_on_motion_detected,
    b_on_area_detected,
    b_on_movie_start,
    b_on_movie_end,
    b_on_camera_lost,
    b_mysql_db,
    b_mysql_host,
    b_mysql_user,
    b_mysql_password,
    b_pgsql_db,
    b_pgsql_host,
    b_pgsql_user,
    b_pgsql_password,
    b_pgsql_port,
    b_video_pipe,
    b_motion_video_pipe;

    static QString c_tunerdevice,
    c_netcam_url,
    c_netcam_userpass,
    c_netcam_http,
    c_netcam_proxy,
    c_area_detect,
    c_mask_file,
    c_text_left,
    c_control_authentication,
    c_track_port,
    c_on_event_start,
    c_on_event_end,
    c_on_picture_save,
    c_on_motion_detected,
    c_on_area_detected,
    c_on_movie_start,
    c_on_movie_end,
    c_on_camera_lost,
    c_mysql_db,
    c_mysql_host,
    c_mysql_user,
    c_mysql_password,
    c_pgsql_db,
    c_pgsql_host,
    c_pgsql_user,
    c_pgsql_password,
    c_pgsql_port,
    c_video_pipe,
    c_motion_video_pipe;

    static QString  web_Browser,
    file_Browser,
    terminal,
    text_edit,
    player;

    static QString webcam_Port,
    target_Dir,
    video_Device,
    control_Port,
    left_camera;

public slots:
    int     read_configfile(QString,int);
    void    reconfigure_configfile(QString,int);    
    void    fonction(QString ,int ,QString );
    QString config_file_path(QString );
    void    program_intalled_Control();
    void ear(QString);

private slots:    
    void on_pushButton_clicked();
    void on_preView_clicked();
    void on_configure_button_clicked();
    void on_file_button_clicked();
    void on_start_button_clicked();
    void on_stop_button_clicked();
    void on_webbrowser_button_clicked();
    void on_web_Control_clicked();

    void on_actionAbout_triggered();
    void on_actionSettings_triggered();
};

#endif // MAINWINDOW_H
