#include "properties.h"
#include "ui_properties.h"

#include "QMessageBox"
#include "QFile"
#include "QDir"
#include "QtCore"

#include "qxmlstream.h"
#include "QXmlStreamWriter"
#include "QXmlStreamReader"

#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "motion.h"


MainWindow *mw1;
QString aw;

properties::properties(QWidget *parent) :QDialog(parent), ui(new Ui::properties)
{
    ui->setupUi(this);

    ui->daemon_ComboBox->setCurrentIndex(mw1->daemonn.toInt());
    ui->process_id_file_lineEdit->setText(mw1->process_id_file);
    ui->setup_mode_ComboBox->setCurrentIndex(mw1->setup_mode.toInt());
    ui->videodevice_ComboBox->setCurrentIndex(mw1->videodevice.toInt());
    ui->videodevice_lineEdit->setText(mw1->video_Device);
    ui->v4l2_palette_ComboBox->setCurrentIndex(mw1->v4l2_palette.toInt());
    ui->tunerdevice_ComboBox->setCurrentIndex(mw1->tunerdevice.toInt());
    ui->input_ComboBox->setCurrentIndex(mw1->input.toInt()-1);
    ui->norm_ComboBox->setCurrentIndex(mw1->norm.toInt());
    ui->frequency_LineEdit->setText(mw1->frequency);
    ui->rotate_ComboBox->setCurrentIndex(mw1->rotate.toInt());
    ui->width_lineEdit->setText(mw1->widthn);
    ui->height_LineEdit->setText(mw1->heightn);
    ui->framerate_LineEdit->setText(mw1->framerate);
    ui->minimum_frame_time_lineEdit->setText(mw1->minimum_frame_time);
    ui->netcam_url_lineEdit->setText(mw1->netcam_url);
    ui->netcam_userpass_lineEdit->setText(mw1->netcam_userpass);
    ui->netcam_http_comboBox->setCurrentIndex(mw1->netcam_http.toInt());
    ui->netcam_proxy_lineEdit->setText(mw1->netcam_proxy);
    ui->netcam_tolerant_check_comboBox->setCurrentIndex(mw1->netcam_tolerant_check.toInt());
    ui->auto_brightness_comboBox->setCurrentIndex(mw1->auto_brightness.toInt());
    ui->brightness_lineEdit->setText(mw1->brightness);
    ui->contrast_lineEdit->setText(mw1->contrast);
    ui->saturation_lineEdit->setText(mw1->saturation);
    ui->hue_lineEdit->setText(mw1->hue);
    ui->roundrobin_frames_lineEdit->setText(mw1->roundrobin_frames);
    ui->roundrobin_skip_lineEdit->setText(mw1->roundrobin_skip);
    ui->switchfilter_ComboBox->setCurrentIndex(mw1->switchfilter.toInt());
    ui->threshold_lineEdit->setText(mw1->threshold);
    ui->threshold_tune_comboBox->setCurrentIndex(mw1->threshold_tune.toInt());
    ui->noise_level_lineEdit->setText(mw1->noise_level);
    ui->noise_tune_comboBox->setCurrentIndex(mw1->noise_tune.toInt());
    ui->Despeckle_lineEdit->setText(mw1->despeckle);
    ui->area_detect_lineEdit->setText(mw1->area_detect);
    ui->mask_file_lineEdit->setText(mw1->mask_file);
    ui->smart_mask_speed_comboBox->setCurrentIndex(mw1->smart_mask_speed.toInt());
    ui->lightswitch_lineEdit->setText(mw1->lightswitch);
    ui->minimum_motion_frames_lineEdit->setText(mw1->minimum_motion_frames);
    ui->pre_capture_lineEdit->setText(mw1->pre_capture);
    ui->post_capture_lineEdit->setText(mw1->post_capture);
    ui->gap_lineEdit->setText(mw1->gap);
    ui->max_mpeg_time_lineEdit->setText(mw1->max_mpeg_time);
    ui->output_all_comboBox->setCurrentIndex(mw1->output_all.toInt());
    ui->output_normal_comboBox->setCurrentIndex(mw1->output_normal.toInt());
    ui->output_motion_comboBox->setCurrentIndex(mw1->output_motion.toInt());
    ui->quality_lineEdit->setText(mw1->quality);
    ui->ppm_comboBox->setCurrentIndex(mw1->ppm.toInt());
    ui->ffmpeg_cap_new_comboBox->setCurrentIndex(mw1->ffmpeg_cap_new.toInt());
    ui->ffmpeg_cap_motion_comboBox->setCurrentIndex(mw1->ffmpeg_cap_motion.toInt());
    ui->ffmpeg_timelapse_lineEdit->setText(mw1->ffmpeg_timelapse);
    ui->ffmpeg_timelapse_mode_comboBox->setCurrentIndex(mw1->ffmpeg_timelapse_mode.toInt());
    ui->ffmpeg_bps_lineEdit->setText(mw1->ffmpeg_bps);
    ui->ffmpeg_variable_bitrate_comboBox->setCurrentIndex(mw1->ffmpeg_variable_bitrate.toInt());
    ui->ffmpeg_video_codec_comboBox->setCurrentIndex(mw1->ffmpeg_video_codec.toInt());
    ui->ffmpeg_deinterlace_comboBox->setCurrentIndex(mw1->ffmpeg_deinterlace.toInt());
    ui->snapshot_interval_lineEdit->setText(mw1->snapshot_interval);
    ui->locate_comboBox->setCurrentIndex(mw1->locate.toInt());
    ui->text_right_lineEdit->setText(mw1->text_right);
    ui->text_left_CAMERA_lineEdit->setText(mw1->text_left);
    ui->text_changes_comboBox->setCurrentIndex(mw1->text_changes.toInt());
    ui->text_event_lineEdit->setText(mw1->text_event);
    ui->text_double_comboBox->setCurrentIndex(mw1->text_double.toInt());
    ui->target_dir_lineEdit->setText(mw1->target_dir);
    ui->snapshot_filename_lineEdit->setText(mw1->snapshot_filename);
    ui->jpeg_filename_lineEdit->setText(mw1->jpeg_filename);
    ui->movie_filename_lineEdit->setText(mw1->movie_filename);
    ui->timelapse_filename_lineEdit->setText(mw1->timelapse_filename);
    ui->webcam_port_lineEdit->setText(mw1->webcam_port);
    ui->webcam_quality_lineEdit->setText(mw1->webcam_quality);
    ui->webcam_motion_comboBox->setCurrentIndex(mw1->webcam_motion.toInt());
    ui->webcam_maxrate_lineEdit->setText(mw1->webcam_maxrate);
    ui->webcam_localhost_comboBox->setCurrentIndex(mw1->webcam_localhost.toInt());
    ui->webcam_limit_lineEdit->setText(mw1->webcam_limit);
    ui->control_port_lineEdit->setText(mw1->control_port);
    ui->control_localhost_comboBox->setCurrentIndex(mw1->control_localhost.toInt());
    ui->control_html_output_comboBox->setCurrentIndex(mw1->control_html_output.toInt());
    ui->control_authentication_lineEdit->setText(mw1->control_authentication);
    ui->track_type_lineEdit->setText(mw1->track_type);
    ui->track_auto_comboBox->setCurrentIndex(mw1->track_auto.toInt());
    ui->track_port_lineEdit->setText(mw1->track_port);
    ui->track_motorx_lineEdit->setText(mw1->track_motorx);
    ui->track_motory_lineEdit->setText(mw1->track_motory);
    ui->track_maxx_lineEdit->setText(mw1->track_maxx);
    ui->track_maxy_lineEdit->setText(mw1->track_maxy);
    ui->track_iomojo_id_lineEdit->setText(mw1->track_iomojo_id);
    ui->track_step_angle_x_lineEdit->setText(mw1->track_step_angle_x);
    ui->track_step_angle_y_lineEdit->setText(mw1->track_step_angle_y);
    ui->track_move_wait_lineEdit->setText(mw1->track_move_wait);
    ui->track_speed_lineEdit->setText(mw1->track_speed);
    ui->track_stepsize_lineEdit->setText(mw1->track_stepsize);
    ui->quiet_comboBox->setCurrentIndex(mw1->quiet.toInt());
    ui->on_event_start_lineEdit->setText(mw1->on_event_start);
    ui->on_event_end_lineEdit->setText(mw1->on_event_end);
    ui->on_picture_save_lineEdit->setText(mw1->on_picture_save);
    ui->on_motion_detected_lineEdit->setText(mw1->on_motion_detected);
    ui->on_area_detected_lineEdit->setText(mw1->on_area_detected);
    ui->on_movie_start_lineEdit->setText(mw1->on_movie_start);
    ui->on_movie_end_lineEdit->setText(mw1->on_movie_end);
    ui->on_camera_lost_lineEdit->setText(mw1->on_camera_lost);
    ui->sql_log_image_comboBox->setCurrentIndex(mw1->sql_log_image.toInt());
    ui->sql_log_snapshot_comboBox->setCurrentIndex(mw1->sql_log_snapshot.toInt());
    ui->sql_log_mpeg_comboBox->setCurrentIndex(mw1->sql_log_mpeg.toInt());
    ui->sql_log_timelapse_comboBox->setCurrentIndex(mw1->sql_log_timelapse.toInt());
    ui->sql_query_plainTextEdit->appendPlainText(mw1->sql_query);
    ui->mysql_db_lineEdit->setText(mw1->mysql_db);
    ui->mysql_host_lineEdit->setText(mw1->mysql_host);
    ui->mysql_user_lineEdit->setText(mw1->mysql_user);
    ui->mysql_password_lineEdit->setText(mw1->mysql_password);
    ui->pgsql_db_lineEdit->setText(mw1->pgsql_db);
    ui->pgsql_host_lineEdit->setText(mw1->pgsql_host);
    ui->pgsql_user_lineEdit->setText(mw1->pgsql_user);
    ui->pgsql_password_lineEdit->setText(mw1->pgsql_password);
    ui->pgsql_port_lineEdit->setText(mw1->pgsql_port);
    ui->video_pipe_lineEdit->setText(mw1->video_pipe);
    ui->motion_video_pipe_lineEdit->setText(mw1->motion_video_pipe);



    if(mw1->b_tunerdevice==FALSE)
    {
        ui->tunerdevice_checkBox->setChecked(TRUE);
        ui->tunerdevice_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                               "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                               "p, li { white-space: pre-wrap; }\n"
                                                               "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                               "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">tunerdevice </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_tunerdevice="tunerdevice ";
    }else
    {

        mw1->c_tunerdevice="; tunerdevice ";
        ui->tunerdevice_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                               "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                               "p, li { white-space: pre-wrap; }\n"
                                                               "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                               "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; tunerdevice </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }


    if(mw1->b_netcam_url==FALSE)
    {
        ui->netcam_url_checkBox->setChecked(TRUE);
        ui->netcam_url_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">netcam_url </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_netcam_url="netcam_url ";

    }else
    {

        mw1->c_netcam_url="; netcam_url ";
        ui->netcam_url_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; netcam_url </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }


    if(mw1->b_netcam_userpass==FALSE)
    {
        ui->netcam_userpass_checkBox->setChecked(TRUE);
        ui->netcam_userpass_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                   "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                   "p, li { white-space: pre-wrap; }\n"
                                                                   "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                   "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">netcam_userpass </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_netcam_userpass="netcam_userpass ";

    }else
    {

        mw1->c_netcam_userpass="; netcam_userpass ";
        ui->netcam_userpass_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                   "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                   "p, li { white-space: pre-wrap; }\n"
                                                                   "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                   "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; netcam_userpass </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }


    if(mw1->b_netcam_http==FALSE)
    {
        ui->netcam_http_checkBox->setChecked(TRUE);
        ui->netcam_http_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                               "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                               "p, li { white-space: pre-wrap; }\n"
                                                               "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                               "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">netcam_http </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_netcam_http="netcam_http ";

    }else
    {

        mw1->c_netcam_http="; netcam_http ";
        ui->netcam_http_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                               "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                               "p, li { white-space: pre-wrap; }\n"
                                                               "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                               "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; netcam_http </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }

    if(mw1->b_netcam_proxy==FALSE)
    {
        ui->netcam_proxy_checkBox->setChecked(TRUE);
        ui->netcam_proxy_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                "p, li { white-space: pre-wrap; }\n"
                                                                "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">netcam_proxy </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_netcam_proxy="netcam_proxy ";

    }else
    {

        mw1->c_netcam_proxy="; netcam_proxy ";
        ui->netcam_proxy_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                "p, li { white-space: pre-wrap; }\n"
                                                                "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; netcam_proxy </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }


    if(mw1->b_on_event_start==FALSE)
    {
        ui->on_event_start_checkBox->setChecked(TRUE);
        ui->on_event_start_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">on_event_start </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_on_event_start="on_event_start ";

    }else
    {

        mw1->c_on_event_start="; on_event_start ";
        ui->on_event_start_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_event_start </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }


    if(mw1->b_on_event_end==FALSE)
    {
        ui->on_event_end_checkBox->setChecked(TRUE);
        ui->on_event_end_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                "p, li { white-space: pre-wrap; }\n"
                                                                "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">on_event_end </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_on_event_end="on_event_end ";

    }else
    {

        mw1->c_on_event_end="; on_event_end ";
        ui->on_event_end_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                "p, li { white-space: pre-wrap; }\n"
                                                                "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_event_end </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }

    if(mw1->b_on_picture_save==FALSE)
    {
        ui->on_picture_save_checkBox->setChecked(TRUE);
        ui->on_picture_save_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                   "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                   "p, li { white-space: pre-wrap; }\n"
                                                                   "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                   "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">on_picture_save </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_on_picture_save="on_picture_save ";

    }else
    {

        mw1->c_on_picture_save="; on_picture_save ";
        ui->on_picture_save_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                   "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                   "p, li { white-space: pre-wrap; }\n"
                                                                   "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                   "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_picture_save </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }


    if(mw1->b_on_motion_detected==FALSE)
    {
        ui->on_motion_detected_checkBox->setChecked(TRUE);
        ui->on_motion_detected_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                      "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                      "p, li { white-space: pre-wrap; }\n"
                                                                      "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                      "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">on_motion_detected </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_on_motion_detected="on_motion_detected ";

    }else
    {

        mw1->c_on_motion_detected="; on_motion_detected ";
        ui->on_motion_detected_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                      "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                      "p, li { white-space: pre-wrap; }\n"
                                                                      "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                      "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_motion_detected </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }


    if(mw1->b_mysql_db==FALSE)
    {
        ui->mysql_db_checkBox->setChecked(TRUE);
        ui->mysql_db_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                            "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                            "p, li { white-space: pre-wrap; }\n"
                                                            "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                            "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">mysql_db </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_mysql_db="mysql_db ";

    }else
    {

        mw1->c_mysql_db="; mysql_db ";
        ui->mysql_db_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                            "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                            "p, li { white-space: pre-wrap; }\n"
                                                            "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                            "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; mysql_db </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }

    if(mw1->b_mysql_host==FALSE)
    {
        ui->mysql_host_checkBox->setChecked(TRUE);
        ui->mysql_host_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">mysql_host </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_mysql_host="mysql_host ";

    }else
    {

        mw1->c_mysql_host="; mysql_host ";
        ui->mysql_host_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; mysql_host </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }

    if(mw1->b_mysql_user==FALSE)
    {
        ui->mysql_user_checkBox->setChecked(TRUE);
        ui->mysql_user_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">mysql_user </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_mysql_user="mysql_user ";

    }else
    {

        mw1->c_mysql_user="; mysql_user ";
        ui->mysql_user_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; mysql_user </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }

    if(mw1->b_mysql_password==FALSE)
    {
        ui->mysql_password_checkBox->setChecked(TRUE);
        ui->mysql_password_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">mysql_password </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_mysql_password="mysql_password ";

    }else
    {

        mw1->c_mysql_password="; mysql_password ";
        ui->mysql_password_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; mysql_password </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }

    if(mw1->b_pgsql_db==FALSE)
    {
        ui->pgsql_db_checkBox->setChecked(TRUE);
        ui->pgsql_db_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                            "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                            "p, li { white-space: pre-wrap; }\n"
                                                            "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                            "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">pgsql_db </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_pgsql_db="pgsql_db ";

    }else
    {

        mw1->c_pgsql_db="; pgsql_db ";
        ui->pgsql_db_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                            "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                            "p, li { white-space: pre-wrap; }\n"
                                                            "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                            "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; pgsql_db </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }


    if(mw1->b_pgsql_host==FALSE)
    {
        ui->pgsql_host_checkBox->setChecked(TRUE);
        ui->pgsql_host_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">pgsql_host </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_pgsql_host="pgsql_host ";

    }else
    {

        mw1->c_pgsql_host="; pgsql_host ";
        ui->pgsql_host_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; pgsql_host </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }


    if(mw1->b_pgsql_user==FALSE)
    {
        ui->pgsql_user_checkBox->setChecked(TRUE);
        ui->pgsql_user_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">pgsql_user </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_pgsql_user="pgsql_user ";

    }else
    {

        mw1->c_pgsql_user="; pgsql_user ";
        ui->pgsql_user_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; pgsql_user </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }

    if(mw1->b_pgsql_password==FALSE)
    {
        ui->pgsql_password_checkBox->setChecked(TRUE);
        ui->pgsql_password_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">pgsql_password </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_pgsql_password="pgsql_password ";

    }else
    {

        mw1->c_pgsql_password="; pgsql_password ";
        ui->pgsql_password_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; pgsql_password </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }


    if(mw1->b_pgsql_port==FALSE)
    {
        ui->pgsql_port_checkBox->setChecked(TRUE);
        ui->pgsql_port_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">pgsql_port </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_pgsql_port="pgsql_port ";

    }else
    {

        mw1->c_pgsql_port="; pgsql_port ";
        ui->pgsql_port_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; pgsql_port </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }


    if(mw1->b_on_camera_lost==FALSE)
    {
        ui->on_camera_lost_checkBox->setChecked(TRUE);
        ui->on_camera_lost_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">on_camera_lost </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_on_camera_lost="on_camera_lost ";

    }else
    {

        mw1->c_on_camera_lost="; on_camera_lost ";
        ui->on_camera_lost_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_camera_lost </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }


    if(mw1->b_on_movie_end==FALSE)
    {
        ui->on_movie_end_checkBox->setChecked(TRUE);
        ui->on_movie_end_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                "p, li { white-space: pre-wrap; }\n"
                                                                "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">on_movie_end </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_on_movie_end="on_movie_end ";

    }else
    {

        mw1->c_on_movie_end="; on_movie_end ";
        ui->on_movie_end_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                "p, li { white-space: pre-wrap; }\n"
                                                                "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_movie_end </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }

    if(mw1->b_on_movie_start==FALSE)
    {
        ui->on_movie_start_checkBox->setChecked(TRUE);
        ui->on_movie_start_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">on_movie_start </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_on_movie_start="on_movie_start ";

    }else
    {

        mw1->c_on_movie_start="; on_movie_start ";
        ui->on_movie_start_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_movie_start </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }


    if(mw1->b_on_area_detected==FALSE)
    {
        ui->on_area_detected_checkBox->setChecked(TRUE);
        ui->on_area_detected_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                    "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                    "p, li { white-space: pre-wrap; }\n"
                                                                    "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                    "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">on_area_detected </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_on_area_detected="on_area_detected ";

    }else
    {

        mw1->c_on_area_detected="; on_area_detected ";
        ui->on_area_detected_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                    "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                    "p, li { white-space: pre-wrap; }\n"
                                                                    "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                    "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_area_detected </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }


    if(mw1->b_track_port==FALSE)
    {
        ui->track_port_checkBox->setChecked(TRUE);
        ui->track_port_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">track_port </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_track_port="track_port ";

    }else
    {

        mw1->c_track_port="; track_port ";
        ui->track_port_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; track_port </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }

    if(mw1->b_control_authentication==FALSE)
    {
        ui->control_authentication_checkBox->setChecked(TRUE);
        ui->control_authentication_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                          "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                          "p, li { white-space: pre-wrap; }\n"
                                                                          "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                          "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">control_authentication </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_control_authentication="control_authentication ";

    }else
    {

        mw1->c_control_authentication="; control_authentication ";
        ui->control_authentication_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                          "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                          "p, li { white-space: pre-wrap; }\n"
                                                                          "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                          "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; control_authentication </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }

    if(mw1->b_area_detect==FALSE)
    {
        ui->area_detect_checkBox->setChecked(TRUE);
        ui->area_detect_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                               "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                               "p, li { white-space: pre-wrap; }\n"
                                                               "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                               "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">area_detect </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_area_detect="area_detect ";

    }else
    {

        mw1->c_area_detect="; area_detect ";
        ui->area_detect_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                               "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                               "p, li { white-space: pre-wrap; }\n"
                                                               "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                               "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; area_detect </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }


    if(mw1->b_mask_file==FALSE)
    {
        ui->mask_file_checkBox->setChecked(TRUE);
        ui->mask_file_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                             "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                             "p, li { white-space: pre-wrap; }\n"
                                                             "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                             "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">mask_file </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_mask_file="mask_file ";

    }else
    {

        mw1->c_mask_file="; mask_file ";
        ui->mask_file_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                             "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                             "p, li { white-space: pre-wrap; }\n"
                                                             "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                             "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; mask_file </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }


    if(mw1->b_text_left==FALSE)
    {
        ui->text_left_checkBox->setChecked(TRUE);
        ui->text_left_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                             "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                             "p, li { white-space: pre-wrap; }\n"
                                                             "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                             "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">text_left </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_text_left="text_left ";

    }else
    {

        mw1->c_text_left="; text_left ";
        ui->text_left_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                             "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                             "p, li { white-space: pre-wrap; }\n"
                                                             "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                             "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; text_left </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }


    if(mw1->b_video_pipe==FALSE)
    {
        ui->video_pipe_checkBox->setChecked(TRUE);
        ui->video_pipe_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">video_pipe </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_video_pipe="video_pipe ";

    }else
    {

        mw1->c_video_pipe="; video_pipe ";
        ui->video_pipe_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; video_pipe </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }



    if(mw1->b_motion_video_pipe==FALSE)
    {
        ui->motion_video_pipe_checkBox->setChecked(TRUE);
        ui->motion_video_pipe_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                     "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                     "p, li { white-space: pre-wrap; }\n"
                                                                     "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                     "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">motion_video_pipe </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_motion_video_pipe="motion_video_pipe ";

    }else
    {

        mw1->c_motion_video_pipe="; motion_video_pipe ";
        ui->motion_video_pipe_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                     "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                     "p, li { white-space: pre-wrap; }\n"
                                                                     "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                     "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; motion_video_pipe </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }


    mw1->b_tunerdevice=FALSE;
    mw1->b_netcam_url=FALSE;
    mw1->b_netcam_userpass=FALSE;
    mw1->b_netcam_http=FALSE;
    mw1->b_netcam_proxy=FALSE;
    mw1->b_on_event_start=FALSE;
    mw1->b_on_event_end=FALSE;
    mw1->b_on_picture_save=FALSE;
    mw1->b_on_motion_detected=FALSE;
    mw1->b_mysql_db=FALSE;
    mw1->b_mysql_host=FALSE;
    mw1->b_mysql_user=FALSE;
    mw1->b_mysql_password=FALSE;
    mw1->b_pgsql_db=FALSE;
    mw1->b_pgsql_host=FALSE;
    mw1->b_pgsql_user=FALSE;
    mw1->b_pgsql_password=FALSE;
    mw1->b_pgsql_port=FALSE;
    mw1->b_on_camera_lost=FALSE;
    mw1->b_on_movie_end=FALSE;
    mw1->b_on_movie_start=FALSE;
    mw1->b_on_area_detected=FALSE;
    mw1->b_track_port=FALSE;
    mw1->b_control_authentication=FALSE;
    mw1->b_area_detect=FALSE;
    mw1->b_mask_file=FALSE;
    mw1->b_text_left=FALSE;
    mw1->b_video_pipe=FALSE;
    mw1->b_motion_video_pipe=FALSE;


}

properties::~properties()
{
    delete ui;
}

//------------------------------SAVE SETTİNGS--------------------------------------------
void properties::on_buttonBox_accepted()
{    
    QString file;

    file=QDir::currentPath()+"/"+this->windowTitle()+".conf";

    QFile write(file);
    write.open(QIODevice::WriteOnly|QIODevice::Text);
    QTextStream out(&write);

    out
            <<"daemon "+ui->daemon_ComboBox->currentText()<<endl
            <<"process_id_file "+ui->process_id_file_lineEdit->text()<<endl
            <<"setup_mode "+ui->setup_mode_ComboBox->currentText()<<endl
            <<"videodevice "+ui->videodevice_ComboBox->currentText()<<endl
            <<"v4l2_palette "+QString::number(ui->v4l2_palette_ComboBox->currentIndex())<<endl
            <<mw1->c_tunerdevice+ui->tunerdevice_ComboBox->currentText()<<endl
            <<"input "+ui->input_ComboBox->currentText()<<endl
            <<"norm "+ui->norm_ComboBox->currentText()<<endl
            <<"frequency "+ui->frequency_LineEdit->text()<<endl
            <<"rotate "+ui->rotate_ComboBox->currentText()<<endl
            <<"width "+ui->width_lineEdit->text()<<endl
            <<"height "+ui->height_LineEdit->text()<<endl
            <<"framerate "+ui->framerate_LineEdit->text()<<endl
            <<"minimum_frame_time "+ui->minimum_frame_time_lineEdit->text()<<endl
            <<mw1->c_netcam_url+ui->netcam_url_lineEdit->text()<<endl
            <<mw1->c_netcam_userpass+ui->netcam_userpass_lineEdit->text()<<endl
            <<mw1->c_netcam_http+ui->netcam_http_comboBox->currentText()<<endl
            <<mw1->c_netcam_proxy+ui->netcam_proxy_lineEdit->text()<<endl
            <<"netcam_tolerant_check "+ui->netcam_tolerant_check_comboBox->currentText()<<endl
            <<"auto_brightness "+ui->auto_brightness_comboBox->currentText()<<endl
            <<"brightness "+ui->brightness_lineEdit->text()<<endl
            <<"contrast "+ui->contrast_lineEdit->text()<<endl
            <<"saturation "+ui->saturation_lineEdit->text()<<endl
            <<"hue "+ui->hue_lineEdit->text()<<endl
            <<"roundrobin_frames "+ui->roundrobin_frames_lineEdit->text()<<endl
            <<"roundrobin_skip "+ui->roundrobin_skip_lineEdit->text()<<endl
            <<"switchfilter "+ui->switchfilter_ComboBox->currentText()<<endl
            <<"threshold "+ui->threshold_lineEdit->text()<<endl
            <<"threshold_tune "+ui->threshold_tune_comboBox->currentText()<<endl
            <<"noise_level "+ui->noise_level_lineEdit->text()<<endl
            <<"noise_tune "+ui->noise_tune_comboBox->currentText()<<endl
            <<"despeckle "+ui->Despeckle_lineEdit->text()<<endl
            <<mw1->c_area_detect+ui->area_detect_lineEdit->text()<<endl
            <<mw1->c_mask_file+ui->mask_file_lineEdit->text()<<endl
            <<"smart_mask_speed "+ui->smart_mask_speed_comboBox->currentText()<<endl
            <<"lightswitch "+ui->lightswitch_lineEdit->text()<<endl
            <<"minimum_motion_frames "+ui->minimum_motion_frames_lineEdit->text()<<endl
            <<"pre_capture "+ui->pre_capture_lineEdit->text()<<endl
            <<"post_capture "+ui->post_capture_lineEdit->text()<<endl
            <<"gap "+ui->gap_lineEdit->text()<<endl
            <<"max_mpeg_time "+ui->max_mpeg_time_lineEdit->text()<<endl
            <<"output_all "+ui->output_all_comboBox->currentText()<<endl
            <<"output_normal "+ui->output_normal_comboBox->currentText()<<endl
            <<"output_motion "+ui->output_motion_comboBox->currentText()<<endl
            <<"quality "+ui->quality_lineEdit->text()<<endl
            <<"ppm "+ui->ppm_comboBox->currentText()<<endl
            <<"ffmpeg_cap_new "+ui->ffmpeg_cap_new_comboBox->currentText()<<endl
            <<"ffmpeg_cap_motion "+ui->ffmpeg_cap_motion_comboBox->currentText()<<endl
            <<"ffmpeg_timelapse "+ui->ffmpeg_timelapse_lineEdit->text()<<endl
            <<"ffmpeg_timelapse_mode "+ui->ffmpeg_timelapse_mode_comboBox->currentText()<<endl
            <<"ffmpeg_bps "+ui->ffmpeg_bps_lineEdit->text()<<endl
            <<"ffmpeg_variable_bitrate "+ui->ffmpeg_variable_bitrate_comboBox->currentText()<<endl
            <<"ffmpeg_video_codec "+ui->ffmpeg_video_codec_comboBox->currentText()<<endl
            <<"ffmpeg_deinterlace "+ui->ffmpeg_deinterlace_comboBox->currentText()<<endl
            <<"snapshot_interval "+ui->snapshot_interval_lineEdit->text()<<endl
            <<"locate "+ui->locate_comboBox->currentText()<<endl
            <<"text_right "+ui->text_right_lineEdit->text()<<endl
            <<mw1->c_text_left+ui->text_left_CAMERA_lineEdit->text()<<endl
            <<"text_changes "+ui->text_changes_comboBox->currentText()<<endl
            <<"text_event "+ui->text_event_lineEdit->text()<<endl
            <<"text_double "+ui->text_double_comboBox->currentText()<<endl
            <<"target_dir "+ui->target_dir_lineEdit->text()<<endl
            <<"snapshot_filename "+ui->snapshot_filename_lineEdit->text()<<endl
            <<"jpeg_filename "+ui->jpeg_filename_lineEdit->text()<<endl
            <<"movie_filename "+ui->movie_filename_lineEdit->text()<<endl
            <<"timelapse_filename "+ui->timelapse_filename_lineEdit->text()<<endl
            <<"webcam_port "+ui->webcam_port_lineEdit->text()<<endl
            <<"webcam_quality "+ui->webcam_quality_lineEdit->text()<<endl
            <<"webcam_motion "+ui->webcam_motion_comboBox->currentText()<<endl
            <<"webcam_maxrate "+ui->webcam_maxrate_lineEdit->text()<<endl
            <<"webcam_localhost "+ui->webcam_localhost_comboBox->currentText()<<endl
            <<"webcam_limit "+ui->webcam_limit_lineEdit->text()<<endl
            <<"control_port "+ui->control_port_lineEdit->text()<<endl
            <<"control_localhost "+ui->control_localhost_comboBox->currentText()<<endl
            <<"control_html_output "+ui->control_html_output_comboBox->currentText()<<endl
            <<mw1->c_control_authentication+ui->control_authentication_lineEdit->text()<<endl
            <<"track_type "+ui->track_type_lineEdit->text()<<endl
            <<"track_auto "+ui->track_auto_comboBox->currentText()<<endl
            <<mw1->c_track_port+ui->track_port_lineEdit->text()<<endl
            <<"track_motorx "+ui->track_motorx_lineEdit->text()<<endl
            <<"track_motory "+ui->track_motory_lineEdit->text()<<endl
            <<"track_maxx "+ui->track_maxx_lineEdit->text()<<endl
            <<"track_maxy "+ui->track_maxy_lineEdit->text()<<endl
            <<"track_iomojo_id "+ui->track_iomojo_id_lineEdit->text()<<endl
            <<"track_step_angle_x "+ui->track_step_angle_x_lineEdit->text()<<endl
            <<"track_step_angle_y "+ui->track_step_angle_y_lineEdit->text()<<endl
            <<"track_move_wait "+ui->track_move_wait_lineEdit->text()<<endl
            <<"track_speed "+ui->track_speed_lineEdit->text()<<endl
            <<"track_stepsize "+ui->track_stepsize_lineEdit->text()<<endl
            <<"quiet "+ui->quiet_comboBox->currentText()<<endl
            <<mw1->c_on_event_start+ui->on_event_start_lineEdit->text()<<endl
            <<mw1->c_on_event_end+ui->on_event_end_lineEdit->text()<<endl
            <<mw1->c_on_picture_save+ui->on_picture_save_lineEdit->text()<<endl
            <<mw1->c_on_motion_detected+ui->on_motion_detected_lineEdit->text()<<endl
            <<mw1->c_on_area_detected+ui->on_area_detected_lineEdit->text()<<endl
            <<mw1->c_on_movie_start+ui->on_movie_start_lineEdit->text()<<endl
            <<mw1->c_on_movie_end+ui->on_movie_end_lineEdit->text()<<endl
            <<mw1->c_on_event_end+ui->on_event_end_lineEdit->text()<<endl
            <<mw1->c_on_camera_lost+ui->on_camera_lost_lineEdit->text()<<endl
            <<"sql_log_image "+ui->sql_log_image_comboBox->currentText()<<endl
            <<"sql_log_snapshot "+ui->sql_log_snapshot_comboBox->currentText()<<endl
            <<"sql_log_mpeg "+ui->sql_log_mpeg_comboBox->currentText()<<endl
            <<"sql_log_timelapse "+ui->sql_log_timelapse_comboBox->currentText()<<endl
            <<"sql_query "+ui->sql_query_plainTextEdit->toPlainText()<<endl
            <<mw1->c_mysql_db+ui->mysql_db_lineEdit->text()<<endl
            <<mw1->c_mysql_host+ui->mysql_host_lineEdit->text()<<endl
            <<mw1->c_mysql_user+ui->mysql_user_lineEdit->text()<<endl
            <<mw1->c_mysql_password+ui->mysql_password_lineEdit->text()<<endl
            <<mw1->c_pgsql_db+ui->pgsql_db_lineEdit->text()<<endl
            <<mw1->c_pgsql_host+ui->pgsql_host_lineEdit->text()<<endl
            <<mw1->c_pgsql_user+ui->pgsql_user_lineEdit->text()<<endl
            <<mw1->c_pgsql_password+ui->pgsql_password_lineEdit->text()<<endl
            <<mw1->c_pgsql_port+ui->pgsql_port_lineEdit->text()<<endl
            <<mw1->c_video_pipe+ui->video_pipe_lineEdit->text()<<endl
            <<mw1->c_motion_video_pipe+ui->motion_video_pipe_lineEdit->text();
    write.close();

}
//------------------------------RESET SETTİNGS--------------------------------------------
void properties::on_reset_all_Setttings_clicked()
{
    for(int i=0;i<mw1->ui->configfile_comboBox->count();i++)
    {
        if(this->windowTitle()==("thread"+QString::number(i)))
        {
            ui->videodevice_ComboBox->setCurrentIndex(i);
            ui->target_dir_lineEdit->setText("/tmp/motion"+QString::number(i));
            ui->text_left_CAMERA_lineEdit->setText("CAMERA "+ QString::number(i));
            ui->control_port_lineEdit->setText(QString::number(8080+i));
            ui->webcam_port_lineEdit->setText(QString::number(8080+i+1));

        }
    }

    ui->daemon_ComboBox->setCurrentIndex(0);
    ui->process_id_file_lineEdit->setText("/var/run/motion.pid");
    ui->setup_mode_ComboBox->setCurrentIndex(0);

    ui->v4l2_palette_ComboBox->setCurrentIndex(3);
    ui->tunerdevice_ComboBox->setCurrentIndex(0);
    ui->input_ComboBox->setCurrentIndex(7);
    ui->norm_ComboBox->setCurrentIndex(0);
    ui->frequency_LineEdit->setText("0");
    ui->rotate_ComboBox->setCurrentIndex(0);
    ui->width_lineEdit->setText("320");
    ui->height_LineEdit->setText("240");
    ui->framerate_LineEdit->setText("2");
    ui->minimum_frame_time_lineEdit->setText("0");
    ui->netcam_url_lineEdit->setText("value");
    ui->netcam_userpass_lineEdit->setText("value");
    ui->netcam_http_comboBox->setCurrentIndex(0);
    ui->netcam_proxy_lineEdit->setText("value");
    ui->netcam_tolerant_check_comboBox->setCurrentIndex(0);
    ui->auto_brightness_comboBox->setCurrentIndex(0);
    ui->brightness_lineEdit->setText("0");
    ui->contrast_lineEdit->setText("0");
    ui->saturation_lineEdit->setText("0");
    ui->hue_lineEdit->setText("0");
    ui->roundrobin_frames_lineEdit->setText("1");
    ui->roundrobin_skip_lineEdit->setText("1");
    ui->switchfilter_ComboBox->setCurrentIndex(0);
    ui->threshold_lineEdit->setText("1500");
    ui->threshold_tune_comboBox->setCurrentIndex(0);
    ui->noise_level_lineEdit->setText("32");
    ui->noise_tune_comboBox->setCurrentIndex(1);
    ui->Despeckle_lineEdit->setText("EedDl");
    ui->area_detect_lineEdit->setText("value");
    ui->mask_file_lineEdit->setText("value");
    ui->smart_mask_speed_comboBox->setCurrentIndex(0);
    ui->lightswitch_lineEdit->setText("0");
    ui->minimum_motion_frames_lineEdit->setText("1");
    ui->pre_capture_lineEdit->setText("0");
    ui->post_capture_lineEdit->setText("0");
    ui->gap_lineEdit->setText("60");
    ui->max_mpeg_time_lineEdit->setText("0");
    ui->output_all_comboBox->setCurrentIndex(0);
    ui->output_normal_comboBox->setCurrentIndex(1);
    ui->output_motion_comboBox->setCurrentIndex(0);
    ui->quality_lineEdit->setText("75");
    ui->ppm_comboBox->setCurrentIndex(0);
    ui->ffmpeg_cap_new_comboBox->setCurrentIndex(1);
    ui->ffmpeg_cap_motion_comboBox->setCurrentIndex(0);
    ui->ffmpeg_timelapse_lineEdit->setText("0");
    ui->ffmpeg_timelapse_mode_comboBox->setCurrentIndex(1);
    ui->ffmpeg_bps_lineEdit->setText("500000");
    ui->ffmpeg_variable_bitrate_comboBox->setCurrentIndex(0);
    ui->ffmpeg_video_codec_comboBox->setCurrentIndex(3);
    ui->ffmpeg_deinterlace_comboBox->setCurrentIndex(0);
    ui->snapshot_interval_lineEdit->setText("0");
    ui->locate_comboBox->setCurrentIndex(0);
    ui->text_right_lineEdit->setText("%Y-%m-%d\\n%T-%q");

    ui->text_changes_comboBox->setCurrentIndex(0);
    ui->text_event_lineEdit->setText("%Y%m%d%H%M%S");
    ui->text_double_comboBox->setCurrentIndex(0);

    ui->snapshot_filename_lineEdit->setText("%v-%Y%m%d%H%M%S-snapshot");
    ui->jpeg_filename_lineEdit->setText("%v-%Y%m%d%H%M%S-%q");
    ui->movie_filename_lineEdit->setText("%v-%Y%m%d%H%M%S");
    ui->timelapse_filename_lineEdit->setText("%Y%m%d-timelapse");

    ui->webcam_quality_lineEdit->setText("50");
    ui->webcam_motion_comboBox->setCurrentIndex(0);
    ui->webcam_maxrate_lineEdit->setText("1");
    ui->webcam_localhost_comboBox->setCurrentIndex(1);
    ui->webcam_limit_lineEdit->setText("0");

    ui->control_localhost_comboBox->setCurrentIndex(1);
    ui->control_html_output_comboBox->setCurrentIndex(1);
    ui->control_authentication_lineEdit->setText("username:password");
    ui->track_type_lineEdit->setText("0");
    ui->track_auto_comboBox->setCurrentIndex(0);
    ui->track_port_lineEdit->setText("value");
    ui->track_motorx_lineEdit->setText("0");
    ui->track_motory_lineEdit->setText("0");
    ui->track_maxx_lineEdit->setText("0");
    ui->track_maxy_lineEdit->setText("0");
    ui->track_iomojo_id_lineEdit->setText("0");
    ui->track_step_angle_x_lineEdit->setText("10");
    ui->track_step_angle_y_lineEdit->setText("10");
    ui->track_move_wait_lineEdit->setText("10");
    ui->track_speed_lineEdit->setText("255");
    ui->track_stepsize_lineEdit->setText("40");
    ui->quiet_comboBox->setCurrentIndex(1);
    ui->on_event_start_lineEdit->setText("value");
    ui->on_event_end_lineEdit->setText("value");
    ui->on_picture_save_lineEdit->setText("value");
    ui->on_motion_detected_lineEdit->setText("value");
    ui->on_area_detected_lineEdit->setText("value");
    ui->on_movie_start_lineEdit->setText("value");
    ui->on_movie_end_lineEdit->setText("value");
    ui->on_camera_lost_lineEdit->setText("value");
    ui->sql_log_image_comboBox->setCurrentIndex(1);
    ui->sql_log_snapshot_comboBox->setCurrentIndex(1);
    ui->sql_log_mpeg_comboBox->setCurrentIndex(0);
    ui->sql_log_timelapse_comboBox->setCurrentIndex(0);
    ui->sql_query_plainTextEdit->appendPlainText("insert into security(camera,filename,frame,file_type,time_stamp,event_time_stamp) values('%t','%f','%q','%n','%Y-%m-%d %T','%C')");
    ui->mysql_db_lineEdit->setText("value");
    ui->mysql_host_lineEdit->setText("value");
    ui->mysql_user_lineEdit->setText("value");
    ui->mysql_password_lineEdit->setText("value");
    ui->pgsql_db_lineEdit->setText("value");
    ui->pgsql_host_lineEdit->setText("value");
    ui->pgsql_user_lineEdit->setText("value");
    ui->pgsql_password_lineEdit->setText("value");
    ui->pgsql_port_lineEdit->setText("5432");
    ui->video_pipe_lineEdit->setText("value");
    ui->motion_video_pipe_lineEdit->setText("value");



    ui->tunerdevice_checkBox->setChecked(FALSE);
    mw1->c_tunerdevice="; tunerdevice ";
    ui->tunerdevice_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                           "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                           "p, li { white-space: pre-wrap; }\n"
                                                           "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                           "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; tunerdevice </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->netcam_url_checkBox->setChecked(FALSE);
    mw1->c_netcam_url="; netcam_url ";
    ui->netcam_url_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                          "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                          "p, li { white-space: pre-wrap; }\n"
                                                          "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                          "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; netcam_url </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->netcam_userpass_checkBox->setChecked(FALSE);
    mw1->c_netcam_userpass="; netcam_userpass ";
    ui->netcam_userpass_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                               "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                               "p, li { white-space: pre-wrap; }\n"
                                                               "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                               "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; netcam_userpass </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->netcam_http_checkBox->setChecked(FALSE);
    mw1->c_netcam_http="; netcam_http ";
    ui->netcam_http_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                           "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                           "p, li { white-space: pre-wrap; }\n"
                                                           "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                           "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; netcam_http </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->netcam_proxy_checkBox->setChecked(FALSE);
    mw1->c_netcam_proxy="; netcam_proxy ";
    ui->netcam_proxy_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                            "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                            "p, li { white-space: pre-wrap; }\n"
                                                            "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                            "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; netcam_proxy </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->on_event_start_checkBox->setChecked(FALSE);
    mw1->c_on_event_start="; on_event_start ";
    ui->on_event_start_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_event_start </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->on_event_end_checkBox->setChecked(FALSE);
    mw1->c_on_event_end="; on_event_end ";
    ui->on_event_end_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                            "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                            "p, li { white-space: pre-wrap; }\n"
                                                            "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                            "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_event_end </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->on_picture_save_checkBox->setChecked(FALSE);
    mw1->c_on_picture_save="; on_picture_save ";
    ui->on_picture_save_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                               "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                               "p, li { white-space: pre-wrap; }\n"
                                                               "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                               "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_picture_save </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->on_motion_detected_checkBox->setChecked(FALSE);
    mw1->c_on_motion_detected="; on_motion_detected ";
    ui->on_motion_detected_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_motion_detected </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->mysql_db_checkBox->setChecked(FALSE);
    mw1->c_mysql_db="; mysql_db ";
    ui->mysql_db_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                        "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                        "p, li { white-space: pre-wrap; }\n"
                                                        "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                        "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; mysql_db </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->mysql_host_checkBox->setChecked(FALSE);
    mw1->c_mysql_host="; mysql_host ";
    ui->mysql_host_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                          "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                          "p, li { white-space: pre-wrap; }\n"
                                                          "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                          "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; mysql_host </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->mysql_user_checkBox->setChecked(FALSE);
    mw1->c_mysql_user="; mysql_user ";
    ui->mysql_user_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                          "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                          "p, li { white-space: pre-wrap; }\n"
                                                          "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                          "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; mysql_user </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->mysql_password_checkBox->setChecked(FALSE);
    mw1->c_mysql_password="; mysql_password ";
    ui->mysql_password_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; mysql_password </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->pgsql_db_checkBox->setChecked(FALSE);
    mw1->c_pgsql_db="; pgsql_db ";
    ui->pgsql_db_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                        "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                        "p, li { white-space: pre-wrap; }\n"
                                                        "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                        "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; pgsql_db </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->pgsql_host_checkBox->setChecked(FALSE);
    mw1->c_pgsql_host="; pgsql_host ";
    ui->pgsql_host_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                          "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                          "p, li { white-space: pre-wrap; }\n"
                                                          "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                          "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; pgsql_host </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->pgsql_user_checkBox->setChecked(FALSE);
    mw1->c_pgsql_user="; pgsql_user ";
    ui->pgsql_user_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                          "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                          "p, li { white-space: pre-wrap; }\n"
                                                          "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                          "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; pgsql_user </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->pgsql_password_checkBox->setChecked(FALSE);
    mw1->c_pgsql_password="; pgsql_password ";
    ui->pgsql_password_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; pgsql_password </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->pgsql_port_checkBox->setChecked(FALSE);
    mw1->c_pgsql_port="; pgsql_port ";
    ui->pgsql_port_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                          "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                          "p, li { white-space: pre-wrap; }\n"
                                                          "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                          "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; pgsql_port </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->on_camera_lost_checkBox->setChecked(FALSE);
    mw1->c_on_camera_lost="; on_camera_lost ";
    ui->on_camera_lost_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_camera_lost </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->on_movie_end_checkBox->setChecked(FALSE);
    mw1->c_on_movie_end="; on_movie_end ";
    ui->on_movie_end_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                            "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                            "p, li { white-space: pre-wrap; }\n"
                                                            "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                            "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_movie_end </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->on_movie_start_checkBox->setChecked(FALSE);
    mw1->c_on_movie_start="; on_movie_start ";
    ui->on_movie_start_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_movie_start </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->on_area_detected_checkBox->setChecked(FALSE);
    mw1->c_on_area_detected="; on_area_detected ";
    ui->on_area_detected_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                "p, li { white-space: pre-wrap; }\n"
                                                                "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_area_detected </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->track_port_checkBox->setChecked(FALSE);
    mw1->c_track_port="; track_port ";
    ui->track_port_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                          "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                          "p, li { white-space: pre-wrap; }\n"
                                                          "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                          "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; track_port </span></p></body></html>", 0, QApplication::UnicodeUTF8));


    ui->control_authentication_checkBox->setChecked(FALSE);
    mw1->c_control_authentication="; control_authentication ";
    ui->control_authentication_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                      "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                      "p, li { white-space: pre-wrap; }\n"
                                                                      "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                      "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; control_authentication </span></p></body></html>", 0, QApplication::UnicodeUTF8));

    ui->area_detect_checkBox->setChecked(FALSE);
    mw1->c_area_detect="; area_detect ";
    ui->area_detect_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                           "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                           "p, li { white-space: pre-wrap; }\n"
                                                           "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                           "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; area_detect </span></p></body></html>", 0, QApplication::UnicodeUTF8));



    ui->mask_file_checkBox->setChecked(FALSE);
    mw1->c_mask_file="; mask_file ";
    ui->mask_file_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                         "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                         "p, li { white-space: pre-wrap; }\n"
                                                         "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                         "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; mask_file </span></p></body></html>", 0, QApplication::UnicodeUTF8));



    ui->text_left_checkBox->setChecked(FALSE);
    mw1->c_text_left="; text_left ";
    ui->text_left_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                         "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                         "p, li { white-space: pre-wrap; }\n"
                                                         "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                         "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; text_left </span></p></body></html>", 0, QApplication::UnicodeUTF8));




    ui->video_pipe_checkBox->setChecked(FALSE);
    mw1->c_video_pipe="; video_pipe ";
    ui->video_pipe_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                          "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                          "p, li { white-space: pre-wrap; }\n"
                                                          "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                          "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; video_pipe </span></p></body></html>", 0, QApplication::UnicodeUTF8));





    ui->motion_video_pipe_checkBox->setChecked(FALSE);
    mw1->c_motion_video_pipe="; motion_video_pipe ";
    ui->motion_video_pipe_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                 "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                 "p, li { white-space: pre-wrap; }\n"
                                                                 "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                 "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; motion_video_pipe </span></p></body></html>", 0, QApplication::UnicodeUTF8));

}

void properties::on_tunerdevice_checkBox_stateChanged(int )
{
    if(ui->tunerdevice_checkBox->isChecked()==TRUE)
    {
        ui->tunerdevice_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                               "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                               "p, li { white-space: pre-wrap; }\n"
                                                               "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                               "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">tunerdevice </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_tunerdevice="tunerdevice ";
    }else
    {
        mw1->c_tunerdevice="; tunerdevice ";
        ui->tunerdevice_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                               "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                               "p, li { white-space: pre-wrap; }\n"
                                                               "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                               "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; tunerdevice </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_netcam_url_checkBox_stateChanged(int )
{
    if(ui->netcam_url_checkBox->isChecked()==TRUE)
    {
        ui->netcam_url_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">netcam_url </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_netcam_url="netcam_url ";

    }else
    {
        mw1->c_netcam_url="; netcam_url ";
        ui->netcam_url_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; netcam_url </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }

}

void properties::on_netcam_userpass_checkBox_stateChanged(int )
{
    if(ui->netcam_userpass_checkBox->isChecked()==TRUE)
    {
        ui->netcam_userpass_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                   "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                   "p, li { white-space: pre-wrap; }\n"
                                                                   "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                   "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">netcam_userpass </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_netcam_userpass="netcam_userpass ";

    }else
    {
        mw1->c_netcam_userpass="; netcam_userpass ";
        ui->netcam_userpass_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                   "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                   "p, li { white-space: pre-wrap; }\n"
                                                                   "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                   "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; netcam_userpass </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }

}

void properties::on_netcam_http_checkBox_stateChanged(int )
{
    if(ui->netcam_http_checkBox->isChecked()==TRUE)
    {
        ui->netcam_http_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                               "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                               "p, li { white-space: pre-wrap; }\n"
                                                               "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                               "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">netcam_http </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_netcam_http="netcam_http ";

    }else
    {
        mw1->c_netcam_http="; netcam_http ";
        ui->netcam_http_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                               "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                               "p, li { white-space: pre-wrap; }\n"
                                                               "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                               "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; netcam_http </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }

}

void properties::on_netcam_proxy_checkBox_stateChanged(int )
{
    if(ui->netcam_proxy_checkBox->isChecked()==TRUE)
    {
        ui->netcam_proxy_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                "p, li { white-space: pre-wrap; }\n"
                                                                "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">netcam_proxy </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_netcam_proxy="netcam_proxy ";

    }else
    {
        mw1->c_netcam_proxy="; netcam_proxy ";
        ui->netcam_proxy_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                "p, li { white-space: pre-wrap; }\n"
                                                                "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; netcam_proxy </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }

}

void properties::on_on_event_start_checkBox_stateChanged(int )
{
    if(ui->on_event_start_checkBox->isChecked()==TRUE)
    {        
        ui->on_event_start_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">on_event_start </span></p></body></html>", 0, QApplication::UnicodeUTF8));
        mw1->c_on_event_start="on_event_start ";

    }else
    {
        mw1->c_on_event_start="; on_event_start ";
        ui->on_event_start_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_event_start </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_on_event_end_checkBox_stateChanged(int )
{
    if(ui->on_event_end_checkBox->isChecked()==TRUE)
    {
        ui->on_event_end_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                "p, li { white-space: pre-wrap; }\n"
                                                                "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">on_event_end </span></p></body></html>", 0, QApplication::UnicodeUTF8));
        mw1->c_on_event_end="on_event_end ";

    }else
    {
        mw1->c_on_event_end="; on_event_end ";
        ui->on_event_end_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                "p, li { white-space: pre-wrap; }\n"
                                                                "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_event_end </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_on_picture_save_checkBox_stateChanged(int )
{
    if(ui->on_picture_save_checkBox->isChecked()==TRUE)
    {
        ui->on_picture_save_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                   "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                   "p, li { white-space: pre-wrap; }\n"
                                                                   "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                   "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">on_picture_save </span></p></body></html>", 0, QApplication::UnicodeUTF8));
        mw1->c_on_picture_save="on_picture_save ";

    }else
    {
        mw1->c_on_picture_save="; on_picture_save ";
        ui->on_picture_save_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                   "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                   "p, li { white-space: pre-wrap; }\n"
                                                                   "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                   "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_picture_save </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_on_motion_detected_checkBox_stateChanged(int )
{
    if(ui->on_motion_detected_checkBox->isChecked()==TRUE)
    {
        ui->on_motion_detected_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                      "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                      "p, li { white-space: pre-wrap; }\n"
                                                                      "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                      "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">on_motion_detected </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_on_motion_detected="on_motion_detected ";

    }else
    {
        mw1->c_on_motion_detected="; on_motion_detected ";
        ui->on_motion_detected_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                      "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                      "p, li { white-space: pre-wrap; }\n"
                                                                      "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                      "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_motion_detected </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_mysql_db_checkBox_stateChanged(int )
{
    if(ui->mysql_db_checkBox->isChecked()==TRUE)
    {
        ui->mysql_db_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                            "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                            "p, li { white-space: pre-wrap; }\n"
                                                            "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                            "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">mysql_db </span></p></body></html>", 0, QApplication::UnicodeUTF8));
        mw1->c_mysql_db="mysql_db ";

    }else
    {
        mw1->c_mysql_db="; mysql_db ";
        ui->mysql_db_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                            "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                            "p, li { white-space: pre-wrap; }\n"
                                                            "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                            "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; mysql_db </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_mysql_host_checkBox_stateChanged(int )
{
    if(ui->mysql_host_checkBox->isChecked()==TRUE)
    {
        ui->mysql_host_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">mysql_host </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_mysql_host="mysql_host ";

    }else
    {
        mw1->c_mysql_host="; mysql_host ";
        ui->mysql_host_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; mysql_host </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_mysql_user_checkBox_stateChanged(int )
{
    if(ui->mysql_user_checkBox->isChecked()==TRUE)
    {
        ui->mysql_user_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">mysql_user </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_mysql_user="mysql_user ";

    }else
    {
        mw1->c_mysql_user="; mysql_user ";
        ui->mysql_user_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; mysql_user </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_mysql_password_checkBox_stateChanged(int )
{
    if(ui->mysql_password_checkBox->isChecked()==TRUE)
    {
        ui->mysql_password_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">mysql_password </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_mysql_password="mysql_password ";

    }else
    {
        mw1->c_mysql_password="; mysql_password ";
        ui->mysql_password_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; mysql_password </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_pgsql_db_checkBox_stateChanged(int )
{
    if(ui->pgsql_db_checkBox->isChecked()==TRUE)
    {
        ui->pgsql_db_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                            "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                            "p, li { white-space: pre-wrap; }\n"
                                                            "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                            "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">pgsql_db </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_pgsql_db="pgsql_db ";

    }else
    {
        mw1->c_pgsql_db="; pgsql_db ";
        ui->pgsql_db_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                            "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                            "p, li { white-space: pre-wrap; }\n"
                                                            "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                            "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; pgsql_db </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_pgsql_host_checkBox_stateChanged(int )
{
    if(ui->pgsql_host_checkBox->isChecked()==TRUE)
    {
        ui->pgsql_host_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">pgsql_host </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_pgsql_host="pgsql_host ";

    }else
    {
        mw1->c_pgsql_host="; pgsql_host ";
        ui->pgsql_host_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; pgsql_host </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_pgsql_user_checkBox_stateChanged(int )
{
    if(ui->pgsql_user_checkBox->isChecked()==TRUE)
    {
        ui->pgsql_user_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">pgsql_user </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_pgsql_user="pgsql_user ";

    }else
    {
        mw1->c_pgsql_user="; pgsql_user ";
        ui->pgsql_user_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; pgsql_user </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_pgsql_password_checkBox_stateChanged(int )
{
    if(ui->pgsql_password_checkBox->isChecked()==TRUE)
    {
        ui->pgsql_password_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">pgsql_password </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_pgsql_password="pgsql_password ";

    }else
    {
        mw1->c_pgsql_password="; pgsql_password ";
        ui->pgsql_password_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; pgsql_password </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_pgsql_port_checkBox_stateChanged(int )
{
    if(ui->pgsql_port_checkBox->isChecked()==TRUE)
    {
        ui->pgsql_port_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">pgsql_port </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_pgsql_port="pgsql_port ";

    }else
    {
        mw1->c_pgsql_port="; pgsql_port ";
        ui->pgsql_port_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; pgsql_port </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_on_camera_lost_checkBox_stateChanged(int )
{
    if(ui->on_camera_lost_checkBox->isChecked()==TRUE)
    {
        ui->on_camera_lost_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">on_camera_lost </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_on_camera_lost="on_camera_lost ";

    }else
    {
        mw1->c_on_camera_lost="; on_camera_lost ";
        ui->on_camera_lost_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_camera_lost </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_on_movie_end_checkBox_stateChanged(int )
{
    if(ui->on_movie_end_checkBox->isChecked()==TRUE)
    {
        ui->on_movie_end_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                "p, li { white-space: pre-wrap; }\n"
                                                                "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">on_movie_end </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_on_movie_end="on_movie_end ";

    }else
    {
        mw1->c_on_movie_end="; on_movie_end ";
        ui->on_movie_end_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                "p, li { white-space: pre-wrap; }\n"
                                                                "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_movie_end </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_on_movie_start_checkBox_stateChanged(int )
{
    if(ui->on_movie_start_checkBox->isChecked()==TRUE)
    {
        ui->on_movie_start_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">on_movie_start </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_on_movie_start="on_movie_start ";

    }else
    {
        mw1->c_on_movie_start="; on_movie_start ";
        ui->on_movie_start_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                  "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                  "p, li { white-space: pre-wrap; }\n"
                                                                  "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                  "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_movie_start </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_on_area_detected_checkBox_stateChanged(int )
{
    if(ui->on_area_detected_checkBox->isChecked()==TRUE)
    {
        ui->on_area_detected_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                    "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                    "p, li { white-space: pre-wrap; }\n"
                                                                    "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                    "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">on_area_detected </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_on_area_detected="on_area_detected ";

    }else
    {
        mw1->c_on_area_detected="; on_area_detected ";
        ui->on_area_detected_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                    "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                    "p, li { white-space: pre-wrap; }\n"
                                                                    "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                    "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; on_area_detected </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_track_port_checkBox_stateChanged(int )
{
    if(ui->track_port_checkBox->isChecked()==TRUE)
    {
        ui->track_port_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">track_port </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_track_port="track_port ";

    }else
    {
        mw1->c_track_port="; track_port ";
        ui->track_port_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; track_port </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_control_authentication_checkBox_stateChanged(int )
{
    if(ui->control_authentication_checkBox->isChecked()==TRUE)
    {
        ui->control_authentication_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                          "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                          "p, li { white-space: pre-wrap; }\n"
                                                                          "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                          "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">control_authentication </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_control_authentication="control_authentication ";

    }else
    {
        mw1->c_control_authentication="; control_authentication ";
        ui->control_authentication_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                          "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                          "p, li { white-space: pre-wrap; }\n"
                                                                          "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                          "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; control_authentication </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_area_detect_checkBox_stateChanged(int )
{
    if(ui->area_detect_checkBox->isChecked()==TRUE)
    {
        ui->area_detect_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                               "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                               "p, li { white-space: pre-wrap; }\n"
                                                               "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                               "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">area_detect </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_area_detect="area_detect ";

    }else
    {
        mw1->c_area_detect="; area_detect ";
        ui->area_detect_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                               "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                               "p, li { white-space: pre-wrap; }\n"
                                                               "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                               "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; area_detect </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_mask_file_checkBox_stateChanged(int )
{
    if(ui->mask_file_checkBox->isChecked()==TRUE)
    {
        ui->mask_file_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                             "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                             "p, li { white-space: pre-wrap; }\n"
                                                             "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                             "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">mask_file </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_mask_file="mask_file ";

    }else
    {
        mw1->c_mask_file="; mask_file ";
        ui->mask_file_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                             "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                             "p, li { white-space: pre-wrap; }\n"
                                                             "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                             "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; mask_file </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_text_left_checkBox_stateChanged(int )
{
    if(ui->text_left_checkBox->isChecked()==TRUE)
    {
        ui->text_left_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                             "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                             "p, li { white-space: pre-wrap; }\n"
                                                             "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                             "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">text_left </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_text_left="text_left ";

    }else
    {
        mw1->c_text_left="; text_left ";
        ui->text_left_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                             "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                             "p, li { white-space: pre-wrap; }\n"
                                                             "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                             "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; text_left </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_video_pipe_checkBox_stateChanged(int )
{
    if(ui->video_pipe_checkBox->isChecked()==TRUE)
    {
        ui->video_pipe_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">video_pipe </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_video_pipe="video_pipe ";

    }else
    {
        mw1->c_video_pipe="; video_pipe ";
        ui->video_pipe_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                              "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                              "p, li { white-space: pre-wrap; }\n"
                                                              "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                              "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; video_pipe </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}

void properties::on_motion_video_pipe_checkBox_stateChanged(int )
{
    if(ui->motion_video_pipe_checkBox->isChecked()==TRUE)
    {
        ui->motion_video_pipe_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                     "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                     "p, li { white-space: pre-wrap; }\n"
                                                                     "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                     "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#00aa00;\">motion_video_pipe </span></p></body></html>", 0, QApplication::UnicodeUTF8));

        mw1->c_motion_video_pipe="motion_video_pipe ";

    }else
    {
        mw1->c_motion_video_pipe="; motion_video_pipe ";
        ui->motion_video_pipe_label->setText(QApplication::translate("properties", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                                     "<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
                                                                     "p, li { white-space: pre-wrap; }\n"
                                                                     "</style></head><body style=\" font-family:'Ubuntu'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
                                                                     "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ff0000;\">; motion_video_pipe </span></p></body></html>", 0, QApplication::UnicodeUTF8));
    }
}
